breed                 [prey a-prey]  
breed                 [predators predator]
breed                 [nodes node]
breed                 [donothing]
undirected-link-breed [edges edge]
globals               [time
                       pred-extinction-time
                       prey-extinction-time
                       geo
                       name
                       filename
                       netime
                       initial-number-prey
                       initial-number-predators
                       prey-reproduce
                       predation
                       predator-reproduce
                       predator-death-rate
                       preydens-up
                       preydens-low
                       predens-up
 prey1
 prey2
 prey3
 prey4
 prey5
 prey6
 prey7
 prey8
 prey9
 prey10
 pred1
 pred2
 pred3
 pred4
 pred5
 pred6
 pred7
 pred8
 pred9
 pred10
 degree1
 degree2
 degree3
 degree4
 degree5
 degree6
 degree7
 degree8
 degree9
 degree10
                       ]
predators-own         [handling]      
patches-own           [countdown]
turtles-own           [preydens
                       predens
                       nodenum
                       nodesize
                       my-node
                       node-degree
                      ]
edges-own             [geodist]                      
                   

             


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;Setting Landscape Network Configuration;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;,
to setup-one
  clear-all
  
  set-default-shape donothing "triangle"
  create-donothing 1
  [ set color black]
  ask turtles with [color = black] [die]             ;; the who = 0 dies out before the first report 
end
to setup
 ; random-seed seed
  
  set-default-shape nodes "circle"
  create-nodes numnodes [
    set color blue
    set size 0.1
    set nodesize capacity                     ;; in the future we might want to differentiate the "size of the patches"  using
    if nodesize = 0 [                         ;;random capacity
    set nodesize 1]
    set nodenum [who] of self                 ;; in order to distinguish the attribute of nodes, so that prey and predators                    
    set label nodenum                         ;; will have an assigne node (patch)
    setxy random-xcor random-ycor
  ]  

                                                 
if (netipe? = "full") [                                      ;;creates a fully connected network
  ask nodes [
    create-edges-with other turtles
    set node-degree count edge-neighbors
  ]
]

if (netipe? = "geoprox")[
 ;; creates a network based on geographical proximity with N nodes and edges in the interval [0, N(N-1)/2]

  ask nodes [
    create-edges-with other turtles
  ]
    set geo (list)
  ask edges [
    set geodist precision link-length 8
    set geo fput geodist geo
  ]  
  while [count links > numedges] [
    ask edges with [geodist = max geo] [
      die
    ]
    set geo remove max geo geo
  ]    
]
  
if (netipe? = "random")[                                     ;; creates a simple random network with N nodes and N(N-1)/2 edges
  while [count links < numedges] [
      ;;Note that if the link already exists, nothing happens
      ask one-of nodes [create-edge-with one-of other turtles]
  ]
  ask nodes[
  set node-degree count edge-neighbors
  ]
]
if (netipe? = "e-r")[                                        ;; creates an Erdos and Reiny graph
  ask nodes [
     ;;we use "self > myself" here so that each pair of turtles
     ;;is only considered once
    create-edges-with turtles with [self > myself and
                                    random-float 1.0 < prob]
    set node-degree count edge-neighbors
  ]
]  


  set-default-shape prey "square"
  set initial-number-prey random-poisson 25
  create-prey initial-number-prey * numnodes ;; create the sheep, then initialize their variables
  [
    set color white
    set label-color blue - 2
    set nodenum random numnodes                                     ;;number of the node i belong to
    if nodenum = 0 [
      set nodenum numnodes]
    set my-node one-of nodes with [nodenum = [nodenum] of myself]   ;; same as nodenum, but useful for some coding procedures
  ;  setxy random-xcor random-ycor
    hide-turtle
  ]
  
  set-default-shape predators "square"
  set initial-number-predators random-poisson 10 
  create-predators initial-number-predators * numnodes ;; create the predators, then initialize their variables
  [
    set color red
    set handling 0
    set nodenum random numnodes                                    ;;number of the node i belong to
    if nodenum = 0 [
      set nodenum numnodes]
    set my-node one-of nodes with [nodenum = [nodenum] of myself]  ;; same as nodenum, but useful for some coding procedures
  ;  setxy random-xcor random-ycor
    hide-turtle
  ]
  
  ask prey[                                   ;;set intial densities
   set-dens
  ]
  ask predators[
   set-dens
  ]
  export-network
  
   set  degree1 [node-degree] of nodes with [nodenum = 1]
   set  degree2 [node-degree] of nodes with [nodenum = 2]
   set  degree3 [node-degree] of nodes with [nodenum = 3]
   set  degree4 [node-degree] of nodes with [nodenum = 4]
   set  degree5 [node-degree] of nodes with [nodenum = 5]
   set  degree6 [node-degree] of nodes with [nodenum = 6]
   set  degree7 [node-degree] of nodes with [nodenum = 7]
   set  degree8 [node-degree] of nodes with [nodenum = 8]
   set  degree9 [node-degree] of nodes with [nodenum = 9]
   set  degree10 [node-degree] of nodes with [nodenum = 10]
     
  set  prey1 0
  set  prey2 0
  set  prey3 0
  set  prey4 0
  set  prey5 0
  set  prey6 0
  set  prey7 0
  set  prey8 0
  set  prey9 0
  set  prey10 0
  set  pred1 0
  set  pred2 0
  set  pred3 0
  set  pred4 0
  set  pred5 0
  set  pred6 0
  set  pred7 0
  set  pred8 0
  set  pred9 0
  set  pred10 0
  
  set time 0   
  
  ;; Setting parameters using Monte Carlo method: 
    
  set prey-reproduce random-poisson 25
  set predation random-poisson 20
  set predator-reproduce random-poisson 20
  set predator-death-rate random-poisson 6
  
  
  set preydens-up random-float 0.4 + 0.5
  set preydens-low random-float 0.1 + 0.3
  set predens-up random-float 0.3 + 0.3
  

end

to go
  if not any? prey and not any? predators [ stop ]
  
  ask prey[
   set-dens
  ]
  ask predators[
   set-dens
  ]
  
  ask prey [
    
    reproduce-prey
    if preydens > preydens-up
      [move-prey]
    if predens > predens-up
      [move-prey] 
  ]
  
  ask predators [
    if handling > 0 [set handling handling - 1]  
    catch-prey
    if handling > 0 [reproduce-predators]
    mortpred
    if preydens < preydens-low 
     [move-predators]
  ]
 
 if pred-extinction-time = 0 [
   if not any? predators[
    set pred-extinction-time time
   ]
 ]
 if prey-extinction-time = 0[  
   if not any? prey [
    set prey-extinction-time time 
   ] 
 ]
 
 if time > 4000[
   set prey1 (prey1 + count prey with [nodenum = 1] * 0.001)
   set prey2 (prey2 + count prey with [nodenum = 2] * 0.001)
   set prey3 (prey3 + count prey with [nodenum = 3] * 0.001)
   set prey4 (prey4 + count prey with [nodenum = 4] * 0.001)
   set prey5 (prey5 + count prey with [nodenum = 5] * 0.001)
   set prey6 (prey6 + count prey with [nodenum = 6] * 0.001)
   set prey7 (prey7 + count prey with [nodenum = 7] * 0.001)
   set prey8 (prey8 + count prey with [nodenum = 8] * 0.001)
   set prey9 (prey9 + count prey with [nodenum = 9] * 0.001)
   set prey10 (prey10 + count prey with [nodenum = 10] * 0.001)
   set pred1 (pred1 + count predators with [nodenum = 1] * 0.001)
   set pred2 (pred2 + count predators with [nodenum = 2] * 0.001)
   set pred3 (pred3 + count predators with [nodenum = 3] * 0.001)
   set pred4 (pred4 + count predators with [nodenum = 4] * 0.001)
   set pred5 (pred5 + count predators with [nodenum = 5] * 0.001)
   set pred6 (pred6 + count predators with [nodenum = 6] * 0.001)
   set pred7 (pred7 + count predators with [nodenum = 7] * 0.001)
   set pred8 (pred8 + count predators with [nodenum = 8] * 0.001)
   set pred9 (pred9 + count predators with [nodenum = 9] * 0.001)
   set pred10 (pred10 + count predators with [nodenum = 10] * 0.001)
 ]
    
  tick
  set time time + 1
  update-plot
end

to set-dens    ;; to set densities
   set nodesize [nodesize] of my-node
   set preydens ((count prey with [nodenum = [nodenum]  of myself]) / nodesize)
   set predens ((count predators with [nodenum = [nodenum] of myself]) / nodesize)
end


to move-prey  ;; prey procedure, prey move along edges depending on the denisities
    
     ifelse any? [edge-neighbors] of my-node 
      [set nodenum [nodenum] of one-of [edge-neighbors] of my-node
       set my-node one-of nodes with [nodenum = [nodenum] of myself]
       set nodesize [nodesize] of my-node
        set preydens ((count prey with [nodenum = [nodenum]  of myself]) / nodesize)
          if preydens > preydens-up [
          die]
       ]
       [die]
     
end

to move-predators  ;; predator procedure, predaot move along edges depending on the densities
 
    ifelse any? [edge-neighbors] of my-node 
      [set nodenum [nodenum] of one-of [edge-neighbors] of my-node
       set my-node one-of nodes with [nodenum = [nodenum] of myself]
       set nodesize [nodesize] of my-node
       set preydens ((count prey with [nodenum = [nodenum]  of myself])/ nodesize)
         if preydens < preydens-low [
         die] 
      ]
      [die]
end

to reproduce-prey  ;; prey procedure
  if random-float 100 < prey-reproduce [  ;; throw "dice" to see if you will reproduce
    hatch 1 [ 
              set nodenum [nodenum] of myself
    ]
  ]  
end

to reproduce-predators  ;; predators procedure
  if random-float 100 < predator-reproduce [  ;; throw "dice" to see if you will reproduce
    hatch 1 [  ;set handling 0 
     set nodenum [nodenum] of myself
      
    ]  ;; hatch an offspring and move it forward 1 step
  ]
end

to catch-prey  ;; predator procedure
  if handling = 0 [
    if any? prey with [nodenum = [nodenum] of myself] [
      let victim one-of prey with [nodenum = [nodenum] of myself]                     ;; grab a random prey
      if random-float 100 < predation                                                       ;; did we get one?  if so,
        [ ask victim [ die ]                                                          ;; kill it
          set handling handling + handling-time                                       ;; get energy from eating
        ]                                     
    ]
  ]                                                                                        
end



to mortpred  ;; turtle procedure
  if random-float 100 < predator-death-rate [ die ]
end

to update-plot
  set-current-plot "populations"
  set-current-plot-pen "prey"
  plot count prey
  set-current-plot-pen "predators"
  plot count predators
end



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;REPORTING THE NETWORK;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

to-report pad [ number digits ]
  let expanded ( word "000000000000000" number )
  let len length expanded
  report substring expanded ( len - digits ) len
end

to-report next-log-filename [ prefix digits suffix]
;; report the first filename that does not exist
 let next-id# 0
 let next-id$ ""
 let keep-looking? true
 while [ keep-looking? ]
   [ set next-id# next-id# + 1
     set next-id$ ( word prefix ( pad next-id# digits ) suffix )
     set keep-looking? file-exists? next-id$
   ]
report next-id$
end

to export-network
   set name new-seed
    random-seed name                                            
    let z random 10000
    set netime date-and-time
    set netime remove ":" netime
    set netime remove "." netime
    set netime substring netime 0 10
    set netime word z netime
    set filename next-log-filename netime 5 ".txt"  
    file-open filename
      let blank "   "
      let namenodes [who] of nodes
      let nnodes max [who] of nodes
      file-type "*Vertices" 
      file-type blank 
      file-print nnodes
      file-print "*Arcs"
      ask nodes   [
        let neigh link-neighbors
        if (count neigh) > 0 [
          foreach [who] of neigh [
            file-type who
            file-type blank
            file-type  ?
            file-type blank
            file-print 1
          ]
        ]
      ]
          
  file-close
end
@#$#@#$#@
GRAPHICS-WINDOW
359
10
523
195
15
15
4.97
1
10
1
1
1
0
0
0
1
-15
15
-15
15
1
1
1
ticks

SLIDER
178
201
346
234
Handling-time
Handling-time
0.0
10.0
3
1.0
1
NIL
HORIZONTAL

BUTTON
1
10
70
43
setup
setup-one\nsetup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL

BUTTON
71
10
138
43
go
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL

PLOT
12
312
328
509
populations
time
pop.
0.0
100.0
0.0
100.0
true
true
PENS
"prey" 1.0 0 -13345367 true
"predators" 1.0 0 -2674135 true

SLIDER
174
10
346
43
numnodes
numnodes
0
100
10
1
1
NIL
HORIZONTAL

MONITOR
337
313
404
358
prey
count prey
17
1
11

MONITOR
338
363
405
408
predators
count predators
17
1
11

MONITOR
329
411
386
456
prey 1
count prey with [nodenum = 1]
17
1
11

MONITOR
330
457
387
502
pred 1
count predators with [nodenum = 1]
17
1
11

SLIDER
174
44
346
77
numedges
numedges
0
(numnodes * (numnodes - 1)) / 2
25
1
1
NIL
HORIZONTAL

SLIDER
174
78
346
111
prob
prob
0
1
0.45
0.01
1
NIL
HORIZONTAL

MONITOR
407
314
464
359
edges
count links
17
1
11

SLIDER
174
113
346
146
capacity
capacity
0
1000
100
1
1
NIL
HORIZONTAL

BUTTON
0
44
63
77
step
go
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL

MONITOR
387
411
444
456
prey 2
count prey with [nodenum = 2]
17
1
11

MONITOR
443
411
500
456
prey 3
count prey with [nodenum = 3]
17
1
11

MONITOR
499
410
556
455
prey 4
count prey with [nodenum = 4]
17
1
11

MONITOR
557
410
614
455
prey 5
count prey with [nodenum = 5]
17
1
11

MONITOR
616
410
673
455
prey 6
count prey with [nodenum = 6]
17
1
11

MONITOR
675
410
732
455
prey 7
count prey with [nodenum = 7]
17
1
11

MONITOR
734
410
791
455
prey 8
count prey with [nodenum = 8]
17
1
11

MONITOR
793
410
850
455
prey 9
count prey with [nodenum = 9]
17
1
11

MONITOR
850
409
907
454
prey 10
count prey with [nodenum = 10]
17
1
11

MONITOR
388
457
445
502
pred 2
count predators with [nodenum = 2]
17
1
11

MONITOR
445
457
502
502
pred 3
count predators with [nodenum = 3]
17
1
11

MONITOR
502
457
559
502
pred 4
count predators with [nodenum = 4]
17
1
11

MONITOR
559
457
616
502
pred 5
count predators with [nodenum = 5]
17
1
11

MONITOR
617
457
674
502
pred 6
count predators with [nodenum = 6]
17
1
11

MONITOR
674
457
731
502
pred 7
count predators with [nodenum = 7]
17
1
11

MONITOR
733
456
790
501
pred 8
count predators with [nodenum = 8]
17
1
11

MONITOR
792
455
849
500
pred 9
count predators with [nodenum = 9]
17
1
11

MONITOR
851
455
908
500
pred 10
count predators with [nodenum = 10]
17
1
11

MONITOR
407
362
465
407
pred-prey
count prey + count predators
17
1
11

CHOOSER
-1
77
137
122
netipe?
netipe?
"geoprox" "full" "random" "e-r"
0

@#$#@#$#@
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

sheep
false
0
Rectangle -16777216 true false 166 225 195 285
Rectangle -16777216 true false 62 225 90 285
Rectangle -7500403 true true 30 75 210 225
Circle -7500403 true true 135 75 150
Circle -16777216 true false 180 76 116

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

wolf
false
0
Rectangle -7500403 true true 195 106 285 150
Rectangle -7500403 true true 195 90 255 105
Polygon -7500403 true true 240 90 217 44 196 90
Polygon -16777216 true false 234 89 218 59 203 89
Rectangle -1 true false 240 93 252 105
Rectangle -16777216 true false 242 96 249 104
Rectangle -16777216 true false 241 125 285 139
Polygon -1 true false 285 125 277 138 269 125
Polygon -1 true false 269 140 262 125 256 140
Rectangle -7500403 true true 45 120 195 195
Rectangle -7500403 true true 45 114 185 120
Rectangle -7500403 true true 165 195 180 270
Rectangle -7500403 true true 60 195 75 270
Polygon -7500403 true true 45 105 15 30 15 75 45 150 60 120

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 4.1RC5
@#$#@#$#@
setup
set grass? true
repeat 75 [ go ]
@#$#@#$#@
@#$#@#$#@
<experiments>
  <experiment name="prova-cont" repetitions="1" runMetricsEveryStep="false">
    <setup>setup-one
setup</setup>
    <go>go</go>
    <timeLimit steps="5000"/>
    <metric>pred-extinction-time</metric>
    <metric>prey-extinction-time</metric>
    <metric>prey1</metric>
    <metric>prey2</metric>
    <metric>prey3</metric>
    <metric>prey4</metric>
    <metric>prey5</metric>
    <metric>prey6</metric>
    <metric>prey7</metric>
    <metric>prey8</metric>
    <metric>prey9</metric>
    <metric>prey10</metric>
    <metric>pred1</metric>
    <metric>pred2</metric>
    <metric>pred3</metric>
    <metric>pred4</metric>
    <metric>pred5</metric>
    <metric>pred6</metric>
    <metric>pred7</metric>
    <metric>pred8</metric>
    <metric>pred9</metric>
    <metric>pred10</metric>
    <enumeratedValueSet variable="predens-up">
      <value value="2"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="numnodes">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="netipe?">
      <value value="&quot;geoprox&quot;"/>
    </enumeratedValueSet>
    <steppedValueSet variable="numedges" first="0" step="1" last="45"/>
    <steppedValueSet variable="seed" first="50" step="1" last="79"/>
    <enumeratedValueSet variable="prey-reproduce">
      <value value="25"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="preydens-low">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="capacity">
      <value value="30"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="Handling-time">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="predator-death-rate">
      <value value="6"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-number-prey">
      <value value="25"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-number-predators">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="prob">
      <value value="0.45"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="preydens-up">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="predation">
      <value value="20"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="predator-reproduce">
      <value value="20"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="100" runMetricsEveryStep="false">
    <setup>setup-one
setup</setup>
    <go>go</go>
    <timeLimit steps="5000"/>
    <metric>filename</metric>
    <metric>predator-reproduce</metric>
    <metric>predator-death-rate</metric>
    <metric>prey-reproduce</metric>
    <metric>predation</metric>
    <metric>preydens-up</metric>
    <metric>preydens-low</metric>
    <metric>predens-up</metric>
    <metric>prey1</metric>
    <metric>prey2</metric>
    <metric>prey3</metric>
    <metric>prey4</metric>
    <metric>prey5</metric>
    <metric>prey6</metric>
    <metric>prey7</metric>
    <metric>prey8</metric>
    <metric>prey9</metric>
    <metric>prey10</metric>
    <metric>pred1</metric>
    <metric>pred2</metric>
    <metric>pred3</metric>
    <metric>pred4</metric>
    <metric>pred5</metric>
    <metric>pred6</metric>
    <metric>pred7</metric>
    <metric>pred8</metric>
    <metric>pred9</metric>
    <metric>pred10</metric>
    <metric>prey-extinction-time</metric>
    <metric>pred-extinction-time</metric>
    <enumeratedValueSet variable="Handling-time">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="netipe?">
      <value value="&quot;geoprox&quot;"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="capacity">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="initial-number-predators">
      <value value="10"/>
    </enumeratedValueSet>
    <steppedValueSet variable="numedges" first="25" step="5" last="45"/>
    <enumeratedValueSet variable="initial-number-prey">
      <value value="25"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="prob">
      <value value="0.45"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="numnodes">
      <value value="10"/>
    </enumeratedValueSet>
  </experiment>
</experiments>
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
0
@#$#@#$#@
